Bug 588616 - Review Request: halibut - TeX-like software manual tool
Review Request: halibut - TeX-like software manual tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 586614
  Show dependency treegraph
 
Reported: 2010-05-04 01:50 EDT by Chen Lei
Modified: 2010-09-15 23:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 03:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2010-05-04 01:50:11 EDT
SPEC: https://dl.dropbox.com/u/1338197/1/halibut.spec
SRPM: https://dl.dropbox.com/u/1338197/1/halibut-1.0-1.20100504svn.fc12.src.rpm


Description:

Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.

needed for building gtk2 port of putty.
Comment 1 Mohammed Imran 2010-05-04 04:56:56 EDT
Let me do a informal review.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.
[x]  Package meets the Packaging Guidelines.
[X]  Package successfully compiles and builds into binary rpms on at least one
supported architecture.
[x]  Rpmlint output:
halibut.spec: W: no-buildroot-tag
halibut.src: W: no-buildroot-tag
vim-halibut.noarch: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 3 warnings.
==> IGNORE

[x]  Package is not relocatable.
[x]  Buildroot is correct
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:MIT
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    :f8705a25bfd137fe7a5c0bde3523befa
MD5SUM upstream package:f8705a25bfd137fe7a5c0bde3523befa
[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[-]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly. 
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.

[?] Im new to packaging,but i feel there is a no need for a seperate package vim-halibut

Regards
Imran
Comment 2 Chen Lei 2010-05-05 04:21:05 EDT
(In reply to comment #1)
> Let me do a informal review.
> Package Review
> ==============
> Key:
> - = N/A
> x = Check
> ! = Problem
> ? = Not evaluated
> === REQUIRED ITEMS ===
> [x]  Package is named according to the Package Naming Guidelines.
> [x]  Spec file name must match the base package %{name}, in the format
> %{name}.spec.
> [x]  Package meets the Packaging Guidelines.
> [X]  Package successfully compiles and builds into binary rpms on at least one
> supported architecture.
> [x]  Rpmlint output:
> halibut.spec: W: no-buildroot-tag
> halibut.src: W: no-buildroot-tag
> vim-halibut.noarch: W: no-documentation
> 4 packages and 1 specfiles checked; 0 errors, 3 warnings.
> ==> IGNORE
> [x]  Package is not relocatable.
> [x]  Buildroot is correct
> [x]  Package is licensed with an open-source compatible license and meets other
> legal requirements as defined in the legal section of Packaging Guidelines.
> [x]  License field in the package spec file matches the actual license.
> License type:MIT
> [x]  If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package is included in %doc.
> [x]  Spec file is legible and written in American English.
> [x]  Sources used to build the package matches the upstream source, as provided
> in the spec URL.
> MD5SUM this package    :f8705a25bfd137fe7a5c0bde3523befa
> MD5SUM upstream package:f8705a25bfd137fe7a5c0bde3523befa
> [x]  Package is not known to require ExcludeArch, OR:
> Arches excluded:
> Why:
> [x]  All build dependencies are listed in BuildRequires, except for any that
> are listed in the exceptions section of Packaging Guidelines.
> [-]  The spec file handles locales properly.
> [-]  ldconfig called in %post and %postun if required.
> [-]  Package must own all directories that it creates.
> [-]  Package requires other packages for directories it uses.
> [x]  Package does not contain duplicates in %files.
> [x]  Permissions on files are set properly. 
> [x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
> $RPM_BUILD_ROOT).
> [x]  Package consistently uses macros.
> [x]  Package contains code, or permissable content.
> [x]  Large documentation files are in a -doc subpackage, if required.
> [x]  Package uses nothing in %doc for runtime.
> [-]  Header files in -devel subpackage, if present.
> [-]  Static libraries in -devel subpackage, if present.
> [-]  Package requires pkgconfig, if .pc files are present.
> [-]  Development .so files in -devel subpackage, if present.
> [-]  Fully versioned dependency in subpackages, if present.
> [x]  Package does not contain any libtool archives (.la).
> [-]  Package contains a properly installed %{name}.desktop file if it is a GUI
> application.
> [x]  Package does not own files or directories owned by other packages.
> [?] Im new to packaging,but i feel there is a no need for a seperate package
> vim-halibut
> Regards
> Imran    

Can you approve this simple package? Though fedora doesn't have vim addons package guideline, it seems a good idea to package vim addons seperately as the emacs package guideline in fedora.
Comment 3 Mohammed Imran 2010-05-05 05:42:42 EDT
> Can you approve this simple package?
As i said earlier,it was a informal review.I just got sponsored,its better if anybody from existing package maintainer approve the package.

>Though fedora doesn't have vim addons
> package guideline, it seems a good idea to package vim addons seperately as the
> emacs package guideline in fedora.
Ok thanks for clarifying 
Good luck
Comment 4 Parag AN(पराग) 2010-05-10 02:26:43 EDT
Koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=2176331

1)As this package uses svn snapshot, you should include svn revision in package release.
halibut-1.0-1.20100504svn8934.fc12.src.rpm

2)I don't see documentation is that much huge to separate out as subpackage. Merge it with the main package.
Comment 5 Chen Lei 2010-05-10 04:16:35 EDT
(In reply to comment #4)
> Koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=2176331
> 
> 1)As this package uses svn snapshot, you should include svn revision in package
> release.
> halibut-1.0-1.20100504svn8934.fc12.src.rpm
> 
> 2)I don't see documentation is that much huge to separate out as subpackage.
> Merge it with the main package.    

Thanks, all fixed.

New SRPM and SPEC:
http://supercyper.fedorapeople.org/halibut-1.0-2.20100504svn8934.fc12.src.rpm
http://supercyper.fedorapeople.org/halibut.spec
Comment 6 Parag AN(पराग) 2010-05-14 05:58:11 EDT
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=2186818

APPROVED.
Comment 7 Chen Lei 2010-05-14 07:04:42 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: halibut
Short Description: TeX-like software manual tool.
Owners: supercyper
Branches: F-13 F-12 EL-6
InitialCC:
Comment 8 Dennis Gilmore 2010-05-18 14:40:58 EDT
CVS Done
Comment 9 Mark Chappell 2010-09-14 13:57:16 EDT
Package Change Request
======================
Package Name: halibut
New Branches: EL-5
Owners: tremble supercyper


See 633461 for confirmation of permission to branch (and the preference that I own and supercyper has commit)
Comment 10 Jens Petersen 2010-09-15 23:49:03 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.